Submit business onboarding

​

Submits KYC/KYB onboarding information to open the business account. KYC is triggered once all required information is submitted, and the account will have a status of PENDING with a sub_status of INTERNAL_REVIEW. Member address country is determined by residency_country; business addresses include their own country.

Path Parameters

  • Unique identifier for the business.

Body·

required
application/json
  • Business KYC/KYB information submitted as part of onboarding.

    Properties: 14
  • Information for the business member submitting onboarding. Must be the authorized signer and includes additional regulatory disclosures not required for other business members.

    Properties: 22
  • Agreement consents required to open the account. Setting fields to true indicates the end user has seen and accepted the corresponding agreements.

    Properties: 5

Responses

  • application/json
Request Example for post/businesses/{business_id}/onboarding
curl 'https://api.treasurefinancial.com/v1/businesses/{business_id}/onboarding' \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "business": {
    "have_interested_parties_to_report": false,
    "addresses": [
      {
        "address1": "123 Main St.",
        "address2": "Unit #1",
        "city": "San Francisco",
        "postal_code": "12345",
        "region": "CA",
        "country": "USA"
      }
    ],
    "phone_number": {
      "country_code": "+1",
      "phone_number": "5555555555"
    },
    "business_description": "A description of Treasure Financial",
    "business_type": "llc",
    "tax_classification": "c_corporation",
    "investment_objective": "capital_preservation",
    "industry_type": "agriculture_forestry_and_fishing",
    "tax_identification_number": "123456789",
    "annual_gross_revenue": {
      "currency": "USD",
      "amount": "150000.00"
    },
    "total_liquid_assets": {
      "currency": "USD",
      "amount": "150000.00"
    },
    "exempt_listing_beneficial_owners": false,
    "foreign_financial_institution": false,
    "business_members": [
      {
        "first_name": "Bob",
        "last_name": "John",
        "date_of_birth": {
          "month": 1,
          "day": 1,
          "year": 1970
        },
        "residency_country": "USA",
        "citizenship_country": "USA",
        "job_title": "CEO",
        "is_entity_officer": true,
        "phone_number": {
          "country_code": "+1",
          "phone_number": "5555555555"
        },
        "is_authorized_signer": true,
        "addresses": [
          {
            "address1": "123 Main St.",
            "address2": "Unit #1",
            "city": "San Francisco",
            "postal_code": "12345",
            "region": "CA",
            "country": "USA"
          }
        ],
        "ownership_percentage": 0,
        "national_identifier": "123456789",
        "government_id_type": "DRIVERS_LICENSE",
        "government_id_number": "123456789",
        "government_id_issuing_state_or_country": "USA",
        "email": "email@provider.com"
      }
    ]
  },
  "business_member_onboarding": {
    "first_name": "Bob",
    "last_name": "John",
    "date_of_birth": {
      "month": 1,
      "day": 1,
      "year": 1970
    },
    "residency_country": "USA",
    "citizenship_country": "USA",
    "job_title": "CEO",
    "is_entity_officer": true,
    "phone_number": {
      "country_code": "+1",
      "phone_number": "5555555555"
    },
    "is_authorized_signer": true,
    "addresses": [
      {
        "address1": "123 Main St.",
        "address2": "Unit #1",
        "city": "San Francisco",
        "postal_code": "12345",
        "region": "CA",
        "country": "USA"
      }
    ],
    "ownership_percentage": 0,
    "leader_of_public_company": false,
    "public_company_ticker_symbols": [
      ""
    ],
    "broker_dealer": false,
    "large_trader": false,
    "stock_exchange_finra_member_associated": false,
    "politically_exposed": false,
    "national_identifier": "123456789",
    "government_id_type": "DRIVERS_LICENSE",
    "government_id_number": "123456789",
    "government_id_issuing_state_or_country": "USA",
    "email": "email@provider.com"
  },
  "policies": {
    "bank_account_agreement": false,
    "investment_management_agreement": false,
    "entity_llc_agreement": false,
    "entity_corporation_cash_account_agreement": false,
    "entity_new_account_ria": false
  }
}'
{
  "business": {
    "have_interested_parties_to_report": false,
    "addresses": [
      {
        "address1": "123 Main St.",
        "address2": "Unit #1",
        "city": "San Francisco",
        "postal_code": "12345",
        "region": "CA",
        "country": "USA"
      }
    ],
    "phone_number": {
      "country_code": "+1",
      "phone_number": "5555555555"
    },
    "business_description": "A description of Treasure Financial",
    "business_type": "llc",
    "tax_classification": "c_corporation",
    "investment_objective": "capital_preservation",
    "industry_type": "agriculture_forestry_and_fishing",
    "tax_identification_number": "123456789",
    "annual_gross_revenue": {
      "currency": "USD",
      "amount": "150000.00"
    },
    "total_liquid_assets": {
      "currency": "USD",
      "amount": "150000.00"
    },
    "exempt_listing_beneficial_owners": false,
    "foreign_financial_institution": false,
    "business_members": [
      {
        "first_name": "Bob",
        "last_name": "John",
        "date_of_birth": {
          "month": 1,
          "day": 1,
          "year": 1970
        },
        "residency_country": "USA",
        "citizenship_country": "USA",
        "job_title": "CEO",
        "is_entity_officer": true,
        "phone_number": {
          "country_code": "+1",
          "phone_number": "5555555555"
        },
        "is_authorized_signer": true,
        "addresses": [
          {
            "address1": "123 Main St.",
            "address2": "Unit #1",
            "city": "San Francisco",
            "postal_code": "12345",
            "region": "CA",
            "country": "USA"
          }
        ],
        "ownership_percentage": 0,
        "national_identifier": "123456789",
        "government_id_type": "DRIVERS_LICENSE",
        "government_id_number": "123456789",
        "government_id_issuing_state_or_country": "USA",
        "email": "email@provider.com"
      }
    ]
  },
  "business_member_onboarding": {
    "first_name": "Bob",
    "last_name": "John",
    "date_of_birth": {
      "month": 1,
      "day": 1,
      "year": 1970
    },
    "residency_country": "USA",
    "citizenship_country": "USA",
    "job_title": "CEO",
    "is_entity_officer": true,
    "phone_number": {
      "country_code": "+1",
      "phone_number": "5555555555"
    },
    "is_authorized_signer": true,
    "addresses": [
      {
        "address1": "123 Main St.",
        "address2": "Unit #1",
        "city": "San Francisco",
        "postal_code": "12345",
        "region": "CA",
        "country": "USA"
      }
    ],
    "ownership_percentage": 0,
    "leader_of_public_company": false,
    "public_company_ticker_symbols": [
      "string"
    ],
    "broker_dealer": false,
    "large_trader": false,
    "stock_exchange_finra_member_associated": false,
    "politically_exposed": false,
    "national_identifier": "123456789",
    "government_id_type": "DRIVERS_LICENSE",
    "government_id_number": "123456789",
    "government_id_issuing_state_or_country": "USA",
    "email": "email@provider.com"
  },
  "policies": {
    "bank_account_agreement": false,
    "investment_management_agreement": false,
    "entity_llc_agreement": false,
    "entity_corporation_cash_account_agreement": false,
    "entity_new_account_ria": false
  }
}